package com.dhcc.finance.main.dao;

import com.dhcc.finance.main.domain.CwBdRelation;
import com.dhcc.finance.main.domain.CwBdRelationExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface CwBdRelationMapper {

	long countByExample(CwBdRelationExample example);

	int deleteByExample(CwBdRelationExample example);

	int insert(CwBdRelation record);

	int insertSelective(CwBdRelation record);

	List<CwBdRelation> selectByExample(CwBdRelationExample example);

	int updateByExampleSelective(@Param("record") CwBdRelation record, @Param("example") CwBdRelationExample example);

	int updateByExample(@Param("record") CwBdRelation record, @Param("example") CwBdRelationExample example);

	/**
	 * 逻辑删除凭证单据明细信息
	 * @param pkRelation void
	 *@author huangpeng
	 *@date 2019年5月22日 上午11:37:24
	 *@修改日志：
	 */
	int updateCwBdRelationForSyzt(String pkRelation);
}